Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455324 - exportfs returns hostnames instead of IPs causing problems with nfsclient.sh
Summary: exportfs returns hostnames instead of IPs causing problems with nfsclient.sh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ryan O'Hara
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 20:13 UTC by Ryan O'Hara
Modified: 2009-04-16 23:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:57:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch (deleted)
2008-09-08 21:06 UTC, Lon Hohberger
no flags Details | Diff
Updated patch (deleted)
2008-09-15 21:31 UTC, Lon Hohberger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0101 normal SHIPPED_LIVE rgmanager bug-fix and enhancements update 2009-01-20 16:04:34 UTC

Comment 1 RHEL Product and Program Management 2008-07-14 21:01:06 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Lon Hohberger 2008-09-08 21:06:03 UTC
Created attachment 316120 [details]
Patch

This patch -

(1) ensures that we check for hostnames *and* IPs in the export list and

(2) enables caching of the export list

The second part is a massive performance optimization for large #s of exports (i.e. 100+)

Comment 3 Ryan O'Hara 2008-09-15 15:06:43 UTC
We were talking about a way to enable/disable this feature, but it seems that using the service_name key should be sufficient.

Comment 4 Lon Hohberger 2008-09-15 21:31:55 UTC
Created attachment 316787 [details]
Updated patch

Comment 8 errata-xmlrpc 2009-01-20 20:57:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0101.html


Note You need to log in before you can comment on or make changes to this bug.